Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.api.javaeewebservicesclient12
Interface ServiceRefType<T>

All Superinterfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>

All Known Implementing Classes:
  ServiceRefTypeImpl

    public interface ServiceRefType<T>

extends org.jboss.shrinkwrap.descriptor.api.Child<T>

This interface defines the contract for the `service-refType` xsd type

Original Documentation:

The service-ref element declares a reference to a Web
service. It contains optional description, display name and
icons, a declaration of the required Service interface,
an optional WSDL document location, an optional set
of JAX-RPC mappings, an optional QName for the service element,
an optional set of Service Endpoint Interfaces to be resolved
by the container to a WSDL port, and an optional set of handlers.

Since:
  Generation date :2011-07-19T22:54:35.59+02:00
Author:
  Ralf Battenfeld

Method Summary
`java.util.List<java.lang.String>` | `getDescriptionList()` Returns all `description` elements
`java.util.List<java.lang.String>` | `getDisplayNameList()` Returns all `display-name` elements
`java.util.List<ServiceRefHandlerType<ServiceRefType<T>>>` | `getHandlerList()` Returns all `handler` elements
`java.util.List<IconType<ServiceRefType<T>>>` | `getIconList()` Returns all `icon` elements
`java.util.List<InjectionTargetType<ServiceRefType<T>>>` | `getInjectionTargetList()` Returns all `injection-target` elements
`java.lang.String` | `getJaxrpcMappingFile()` Returns the `jaxrpc-mapping-file` element
`java.lang.String` | `getMappedName()` Returns the `mapped-name` element
`java.util.List<PortComponentRefType<ServiceRefType<T>>>` | `getPortComponentRefList()` Returns all `port-component-ref` elements
`java.lang.String` | `getServiceInterface()` Returns the `service-interface` element
`java.lang.String` | `getServiceQname()` Returns the `service-qname` element
`java.lang.String` | `getServiceRefName()` Returns the `service-ref-name` element
`java.lang.String` | `getServiceRefType()` Returns the `service-ref-type` element
`java.lang.String` | `getWsdlFile()` Returns the `wsdl-file` element
`ServiceRefHandlerType<ServiceRefType<T>>` | `handler()` Returns the `handler` element
`ServiceRefHandlerChainsType<ServiceRefType<T>>` | `handlerChains()` If not already created, a new `handler-chains` element will be created and returned.
`IconType<ServiceRefType<T>>` | `icon()` Returns the `icon` element
`InjectionTargetType<ServiceRefType<T>>` | `injectionTarget()` Returns the `injection-target` element
`PortComponentRefType<ServiceRefType<T>>` | `portComponentRef()` Returns the `port-component-ref` element
`ServiceRefType<T>` | `removeAllDescription()` Removes the `description` element
`ServiceRefType<T>` | `removeAllDisplayName()` Removes the `display-name` element
`ServiceRefType<T>` | `removeAllHandler()` Removes all `handler` elements
`ServiceRefType<T>` | `removeAllIcon()` Removes all `icon` elements
`ServiceRefType<T>` | `removeAllInjectionTarget()` Removes all `injection-target` elements
`ServiceRefType<T>` | `removeAllPortComponentRef()` Removes all `port-component-ref` elements
`ServiceRefType<T>` | `removeHandlerChains()` Removes the `handler-chains` element
`ServiceRefType<T>` | `removeJaxrpcMappingFile()` Removes the `jaxrpc-mapping-file` element
`ServiceRefType<T>` | `removeMappedName()` Removes the `mapped-name` element
`ServiceRefType<T>` | `removeServiceInterface()` Removes the `service-interface` element
`ServiceRefType<T>` | `removeServiceQname()` Removes the `service-qname` element
`ServiceRefType<T>` | `removeServiceRefName()` Removes the `service-ref-name` element
`ServiceRefType<T>` | `removeServiceRefType()` Removes the `service-ref-type` element
`ServiceRefType<T>` | `removeWsdlFile()` Removes the `wsdl-file` element
`ServiceRefType<T>` | `setDescription(java.lang.String description)` Creates a new `description` element
`ServiceRefType<T>` | `setDescriptionList(java.lang.String... values)` Creates for all String objects representing `description` elements, a new `description` element
`ServiceRefType<T>` | `setDisplayName(java.lang.String displayName)` Creates a new `display-name` element
`ServiceRefType<T>` | `setDisplayNameList(java.lang.String... values)` Creates for all String objects representing `display-name` elements, a new `display-name` element
`ServiceRefType<T>` | `setJaxrpcMappingFile(java.lang.String jaxrpcMappingFile)` If not already created, a new `jaxrpc-mapping-file` element with the given value will be created.
`ServiceRefType<T>` | `setMappedName(java.lang.String mappedName)` If not already created, a new `mapped-name` element with the given value will be created.
`ServiceRefType<T>` | `setServiceInterface(java.lang.String serviceInterface)` If not already created, a new `service-interface` element with the given value will be created.
`ServiceRefType<T>` | `setServiceQname(java.lang.String serviceQname)` If not already created, a new `service-qname` element with the given value will be created.
`ServiceRefType<T>` | `setServiceRefName(java.lang.String serviceRefName)` If not already created, a new `service-ref-name` element with the given value will be created.
`ServiceRefType<T>` | `setServiceRefType(java.lang.String serviceRefType)` If not already created, a new `service-ref-type` element with the given value will be created.
`ServiceRefType<T>` | `setWsdlFile(java.lang.String wsdlFile)` If not already created, a new `wsdl-file` element with the given value will be created.

Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child
`up`

Method Detail

### setDescription

    ServiceRefType<T> setDescription(java.lang.String description)

  Creates a new `description` element

  Returns:
    the current instance of `ServiceRefType`

### setDescriptionList

    ServiceRefType<T> setDescriptionList(java.lang.String... values)

  Creates for all String objects representing `description` elements, a new `description` element

  Parameters:
    `list` - of `description` objects
  Returns:
    the current instance of `ServiceRefType`

### removeAllDescription

    ServiceRefType<T> removeAllDescription()

  Removes the `description` element

  Returns:
    the current instance of `ServiceRefType`

### getDescriptionList

    java.util.List<java.lang.String> getDescriptionList()

  Returns all `description` elements

  Returns:
    list of `description`

### setDisplayName

    ServiceRefType<T> setDisplayName(java.lang.String displayName)

  Creates a new `display-name` element

  Returns:
    the current instance of `ServiceRefType`

### setDisplayNameList

    ServiceRefType<T> setDisplayNameList(java.lang.String... values)

  Creates for all String objects representing `display-name` elements, a new `display-name` element

  Parameters:
    `list` - of `display-name` objects
  Returns:
    the current instance of `ServiceRefType`

### removeAllDisplayName

    ServiceRefType<T> removeAllDisplayName()

  Removes the `display-name` element

  Returns:
    the current instance of `ServiceRefType`

### getDisplayNameList

    java.util.List<java.lang.String> getDisplayNameList()

  Returns all `display-name` elements

  Returns:
    list of `display-name`

### removeAllIcon

    ServiceRefType<T> removeAllIcon()

  Removes all `icon` elements

  Returns:
    the current instance of `ServiceRefType`

### icon

    IconType<ServiceRefType<T>> icon()

  Returns the `icon` element

  Returns:
    the node defined for the element `icon`

### getIconList

    java.util.List<IconType<ServiceRefType<T>>> getIconList()

  Returns all `icon` elements

  Returns:
    list of `icon`

### setMappedName

    ServiceRefType<T> setMappedName(java.lang.String mappedName)

  If not already created, a new `mapped-name` element with the given value will be created. Otherwise, the existing `mapped-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeMappedName

    ServiceRefType<T> removeMappedName()

  Removes the `mapped-name` element

  Returns:
    the current instance of `ServiceRefType`

### getMappedName

    java.lang.String getMappedName()

  Returns the `mapped-name` element

  Returns:
    the node defined for the element `mapped-name`

### removeAllInjectionTarget

    ServiceRefType<T> removeAllInjectionTarget()

  Removes all `injection-target` elements

  Returns:
    the current instance of `ServiceRefType`

### injectionTarget

    InjectionTargetType<ServiceRefType<T>> injectionTarget()

  Returns the `injection-target` element

  Returns:
    the node defined for the element `injection-target`

### getInjectionTargetList

    java.util.List<InjectionTargetType<ServiceRefType<T>>> getInjectionTargetList()

  Returns all `injection-target` elements

  Returns:
    list of `injection-target`

### setServiceRefName

    ServiceRefType<T> setServiceRefName(java.lang.String serviceRefName)

  If not already created, a new `service-ref-name` element with the given value will be created. Otherwise, the existing `service-ref-name` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeServiceRefName

    ServiceRefType<T> removeServiceRefName()

  Removes the `service-ref-name` element

  Returns:
    the current instance of `ServiceRefType`

### getServiceRefName

    java.lang.String getServiceRefName()

  Returns the `service-ref-name` element

  Returns:
    the node defined for the element `service-ref-name`

### setServiceInterface

    ServiceRefType<T> setServiceInterface(java.lang.String serviceInterface)

  If not already created, a new `service-interface` element with the given value will be created. Otherwise, the existing `service-interface` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeServiceInterface

    ServiceRefType<T> removeServiceInterface()

  Removes the `service-interface` element

  Returns:
    the current instance of `ServiceRefType`

### getServiceInterface

    java.lang.String getServiceInterface()

  Returns the `service-interface` element

  Returns:
    the node defined for the element `service-interface`

### setServiceRefType

    ServiceRefType<T> setServiceRefType(java.lang.String serviceRefType)

  If not already created, a new `service-ref-type` element with the given value will be created. Otherwise, the existing `service-ref-type` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeServiceRefType

    ServiceRefType<T> removeServiceRefType()

  Removes the `service-ref-type` element

  Returns:
    the current instance of `ServiceRefType`

### getServiceRefType

    java.lang.String getServiceRefType()

  Returns the `service-ref-type` element

  Returns:
    the node defined for the element `service-ref-type`

### setWsdlFile

    ServiceRefType<T> setWsdlFile(java.lang.String wsdlFile)

  If not already created, a new `wsdl-file` element with the given value will be created. Otherwise, the existing `wsdl-file` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeWsdlFile

    ServiceRefType<T> removeWsdlFile()

  Removes the `wsdl-file` element

  Returns:
    the current instance of `ServiceRefType`

### getWsdlFile

    java.lang.String getWsdlFile()

  Returns the `wsdl-file` element

  Returns:
    the node defined for the element `wsdl-file`

### setJaxrpcMappingFile

    ServiceRefType<T> setJaxrpcMappingFile(java.lang.String jaxrpcMappingFile)

  If not already created, a new `jaxrpc-mapping-file` element with the given value will be created. Otherwise, the existing `jaxrpc-mapping-file` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeJaxrpcMappingFile

    ServiceRefType<T> removeJaxrpcMappingFile()

  Removes the `jaxrpc-mapping-file` element

  Returns:
    the current instance of `ServiceRefType`

### getJaxrpcMappingFile

    java.lang.String getJaxrpcMappingFile()

  Returns the `jaxrpc-mapping-file` element

  Returns:
    the node defined for the element `jaxrpc-mapping-file`

### setServiceQname

    ServiceRefType<T> setServiceQname(java.lang.String serviceQname)

  If not already created, a new `service-qname` element with the given value will be created. Otherwise, the existing `service-qname` element will be updated with the given value.

  Returns:
    the current instance of `ServiceRefType`

### removeServiceQname

    ServiceRefType<T> removeServiceQname()

  Removes the `service-qname` element

  Returns:
    the current instance of `ServiceRefType`

### getServiceQname

    java.lang.String getServiceQname()

  Returns the `service-qname` element

  Returns:
    the node defined for the element `service-qname`

### removeAllPortComponentRef

    ServiceRefType<T> removeAllPortComponentRef()

  Removes all `port-component-ref` elements

  Returns:
    the current instance of `ServiceRefType`

### portComponentRef

    PortComponentRefType<ServiceRefType<T>> portComponentRef()

  Returns the `port-component-ref` element

  Returns:
    the node defined for the element `port-component-ref`

### getPortComponentRefList

    java.util.List<PortComponentRefType<ServiceRefType<T>>> getPortComponentRefList()

  Returns all `port-component-ref` elements

  Returns:
    list of `port-component-ref`

### removeAllHandler

    ServiceRefType<T> removeAllHandler()

  Removes all `handler` elements

  Returns:
    the current instance of `ServiceRefType`

### handler

    ServiceRefHandlerType<ServiceRefType<T>> handler()

  Returns the `handler` element

  Returns:
    the node defined for the element `handler`

### getHandlerList

    java.util.List<ServiceRefHandlerType<ServiceRefType<T>>> getHandlerList()

  Returns all `handler` elements

  Returns:
    list of `handler`

### removeHandlerChains

    ServiceRefType<T> removeHandlerChains()

  Removes the `handler-chains` element

  Returns:
    the current instance of `ServiceRefType`

### handlerChains

    ServiceRefHandlerChainsType<ServiceRefType<T>> handlerChains()

  If not already created, a new `handler-chains` element will be created and returned. Otherwise, the existing `handler-chains` element will be returned.

  Returns:
    the node defined for the element `handler-chains`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD